This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 216108 - unnamespaced global symbols in libao
unnamespaced global symbols in libao
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libao (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-17 05:48 EST by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 15:43:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-17 05:48:26 EST
jorton@jolt:~$ rpm -qf /usr/lib/libao.so.2
libao-0.8.6-3.i386
jorton@jolt:~$ nm -D /usr/lib/libao.so.2
...
41068d30 T read_config_file
41068e70 T read_config_files

buys you these collisions with other FC6 libraries:

Clashes for /usr/lib/libao.so.2.1.3:
  with /usr/lib/libsnmp.so.10.0.1 => read_config_files
  with /usr/lib/libnetsnmp.so.10.0.1 => read_config_files
Comment 1 Behdad Esfahbod 2006-11-21 15:43:36 EST
Fixed in devel.

Note You need to log in before you can comment on or make changes to this bug.